import { FUserInfo } from "../base";

/**
* 请求接口
*/
export interface ReqChatSend {
	type:ChatType //渠道类型(合服hefu|所有服all|世家club|跨服kua)
	str:string //语句
}

/**
* 返回信息
*/
export interface ResChatSend {
    [xbid: string]: ChatInfo 
}

export interface ChatInfo {
    id: number; //聊天编号ID
    type: ChatType; //聊天类型
    fuuid: string; //玩家ID
    fuser: FUserInfo; //玩家信息
    msg: string; //消息体
    time: number; //时间
}

export enum ChatType {
    hefu = "hefu", //合服聊天
}

export const conf = {
    connet: "ws"
}



