

/**
 * 获取合成信息
 */
export interface ReqHcInfo {

}

/**
 * 返回合成信息
 */
export interface ResHcInfo {
    chapterId:number  //章节ID
    tili:number  //体力
    maxTili:number  //体力最大值
    lastTime:number //最后一次结算体力时间
    list:HcInfoList //格子列表
}


export interface HcInfoList {
    [gzid: string]: HcInfoGeziInfo;
}

export interface HcInfoGeziInfo {
    type:HcType   //具体物品类型 0:无物品 1:发射器 2:怪物 3:装备 4:材料
    unlock:HcUnlock  //解锁状态
    correlationId:number  //物品ID
    emitter?:{
        unlock:HcUnlock  //解锁状态
    }
}
//具体物品类型
export enum HcType {
    wu = 0, //无物品
    material = 2, //材料
    emitter = 3, //发射器
    equip = 4, //装备
    monster = 50, //怪物
    user = 51, //角色
}
//解锁状态
export enum HcUnlock {
    off = 1, //关
    on = 0, //开
}

export const conf = {
    connet: "ws"
}



