/**
 * 角色登录
 */
export interface ReqUserLogin {
    sid:string;//区服ID
    uid:string;//账号ID
    token:string;//账号登录下发的token
}

/**
 * 返回角色信息
 */
export interface ResUserLogin {
    uuid:string; //角色ID
    sid: string; //所属分区
    name: string; //名字
    head: string; //头像
    wxhead: string; //微信头像
    sex: number; //0女1男
    level: number; //等级
    exp: number; //经验
    regtime: number; //注册时间
    loginTime: number; //登录时间
    lastlogin: number; //最后一次操作时间
    lang: string; //语言
    iscz: number; //现金点消耗  +  RMB购买其他礼包（购买现金点除外）
    rmbcz: number;//RMB购买
    power: number; //战力
}

export const conf = {
    connet: "ws"
}


