const { info } = require("console");

//表名    分表 对应 配置
exports.XlsBack = {
    attr: {
        attr: [["ConfProxy", "id"]],
    },
    audio: {
        info: [["ConfProxy", "id"]],
    },
    chapter: {
        info: [["ConfProxy", "id"]],
        layout: [["ConfListProxy", "infoId"]],
    },
    emitter: {
        info: [["ConfProxy", "id"]],
    },
    guide: {
        info: [["ConfProxy", "id"], ["ConfListProxy", "event"]],
    },
    item: {
        kind: [["ConfProxy", "kind"]],
        info: [["ConfProxy", "id"]],
    },
    kaiqi: {
        info: [["ConfProxy", "id"]],
    },
    language: {
        lang: [["ConfProxy", "key"]],
    },
    languageClient: {
        text: [["ConfProxy", "key"]],
    },
    languageSever: {
        houduan: [["ConfProxy", "key"]],
    },
    level: {
        level: [["ConfProxy", "level"]],
    },
    math: {
        info: [["ConfProxy", "key"]],
    },
    mergeProp: {
        info: [["ConfProxy", "id"]],
    },
    merge: {
        info: [["ConfProxy", "id"]],
    },
    equip: {
        info: [["ConfProxy", "id"]],
    },
    name: {
        name: [["ConfProxy", "frist"]],
    },
    package: {
        info: [["ConfProxy", "id"]],
    },
    pingbici: {
        info: [["ConfProxy", "id"]],
    },
    task: {
        desc: [["ConfProxy", "kind"]],
        main: [
            ["ConfProxy", "id"],
            ["mainByNextid", "ConfProxy", "nextid"],
        ],
    },
};
